#!/bin/bash

sleep 60
while true
do
  res=$(docker images | grep miner)
  if [ "$res" != "" ]
  then
 
    res=$(docker ps | grep miner)
    if [ "$res" = "" ]
    then
      echo "miner error: docker miner can't start"
      sleep 300
      res=$(docker ps | grep miner)
      if [ "$res" = "" ] 
      then
        docker stop miner && docker rm miner
        docker image rm $(docker images | grep miner | awk '{print $3}')
        echo "miner error: docker miner can't start, delete miner image"
	continue
      fi
    fi
    
    res=$(docker ps | grep miner | grep Restart)
    if [ "$res" != "" ]
    then
      echo "miner error: docker miner always restarting"
      sleep 300
      res=$(docker ps | grep miner | grep Restart)
      if [ "$res" != "" ]
      then
        docker stop miner && docker rm miner
        docker image rm $(docker images | grep miner | awk '{print $3}')
        echo "miner error: docker miner always restarting, delete miner image"
	continue
      fi
    fi
    
    res=$(grep sys.config -r /var/lib/docker/overlay2/ | grep /opt/miner/releases | head -1 | awk -F: '{print $1}' | awk -F'releases' '{print $2}')
    if [ "$res" = "" ]
    then
      echo "miner error: docker config file not exist"
      sleep 300
      res=$(grep sys.config -r /var/lib/docker/overlay2/ | grep /opt/miner/releases | head -1 | awk -F: '{print $1}' | awk -F'releases' '{print $2}')
      if [ "$res" = "" ]
      then
        docker stop miner && docker rm miner
        docker image rm $(docker images | grep miner | awk '{print $3}')
        echo "miner error: docker config file not exist, delete miner image"
	continue	
      fi
    fi
    
  fi
  sleep 600
done
